# Uses of Interface
org.eclipse.emf.cdo.eresource.EresourceFactory

Packages that use EresourceFactory
Package
Description
org.eclipse.emf.cdo.eresource
The generated EMF API of the CDO repository file system.
org.eclipse.emf.cdo.eresource.impl
The generated EMF implementation of the CDO repository file system.

## Uses of EresourceFactory in org.eclipse.emf.cdo.eresource

Fields in org.eclipse.emf.cdo.eresource declared as EresourceFactory
Modifier and Type
Field
Description
`static final EresourceFactory`
EresourceFactory.`eINSTANCE`
The singleton instance of the factory.
Methods in org.eclipse.emf.cdo.eresource that return EresourceFactory
Modifier and Type
Method
Description
`EresourceFactory`
EresourcePackage.`getEresourceFactory()`
Returns the factory that creates the instances of the model.

## Uses of EresourceFactory in org.eclipse.emf.cdo.eresource.impl

Classes in org.eclipse.emf.cdo.eresource.impl that implement EresourceFactory
Modifier and Type
Class
Description
`class`
`EresourceFactoryImpl`
An implementation of the model Factory.
Methods in org.eclipse.emf.cdo.eresource.impl that return EresourceFactory
Modifier and Type
Method
Description
`EresourceFactory`
EresourcePackageImpl.`getEresourceFactory()`
`static EresourceFactory`
EresourceFactoryImpl.`init()`
Creates the default factory implementation.